> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xente.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Post mobile internet

> This endpoint posts a new mobile internet transaction

### Body

<ParamField body="requestId" type="string">
  A unique identifier for the request.
</ParamField>

<ParamField body="batchId" type="string">
  A unique identifier for the batch.
</ParamField>

<ParamField body="accountNumber" type="string">
  The account number associated with the request.
</ParamField>

<ParamField body="amount" type="number">
  The monetary amount involved in the request.
</ParamField>

<ParamField body="type" type="string">
  The type of request, initially not set.
</ParamField>

<ParamField body="message" type="string">
  An optional message associated with the request.
</ParamField>

<ParamField body="metadata" type="string">
  Additional metadata as a string.
</ParamField>

<ParamField body="product.id" type="string">
  The product's unique identifier.
</ParamField>

<ParamField body="product.productItemId" type="string">
  A specific item identifier within the product.
</ParamField>

<ParamField body="beneficiary.id" type="string">
  The beneficiary's unique identifier.
</ParamField>

<ParamField body="beneficiary.name" type="string">
  The beneficiary's name.
</ParamField>

<ParamField body="beneficiary.emailAddress" type="string">
  The beneficiary's email address.
</ParamField>

<ParamField body="beneficiary.phoneNumber" type="string">
  The beneficiary's phone number.
</ParamField>

<ParamField body="beneficiary.data.phoneNumber" type="string">
  The phone number to be topped up
</ParamField>

### Response

<ResponseField name="code" type="number">
  Indicates whether the call was successful. 0 if successful, error code if not.
</ResponseField>

<ResponseField name="status" type="string">
  Status message on outcome of the API call.
</ResponseField>

<ResponseField name="message" type="string">
  General message about the transaction status.
</ResponseField>

<ResponseField name="data" type="object">
  The contents of the transaction data.

  <Expandable title="Toggle object">
    <ResponseField name="requestId" type="string">
      Unique identifier for the request.
    </ResponseField>

    <ResponseField name="batchId" type="string">
      Batch ID associated with the request.
    </ResponseField>

    <ResponseField name="transactionId" type="string">
      Unique identifier of the transaction.
    </ResponseField>

    <ResponseField name="status" type="string">
      Current status of the transaction.
    </ResponseField>

    <ResponseField name="message" type="string">
      Detailed message regarding the transaction's current status.
    </ResponseField>

    <ResponseField name="createdOn" type="string">
      Timestamp indicating when the transaction was created.
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash Example Request theme={null}

  curl --location --request POST 'https://api.xente.co/api/transactions/payouts/internet' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Token <token>' \
  --data-raw '{
    "requestId": "72399933543589",//Id from your system to uniquely identify the transaction
    "batchId": "batch5678",
    "amount": 1000,
    "type": "DEBIT",
    "message": "Your custom message",
    "metadata": "InvoicePayment",
    "product": {
      "id": "AIRTELDATABUNDLESUG",
      "productItemId": "AIRTELDATABUNDLESUG_24510766" 
    },
    "beneficiary": {
      "name": "John Doe",
      "emailAddress": "johndoe@example.com",
      "phoneNumber": "+1234567890", 
      "data": {
        "phoneNumber": "+1234567890" //The phone number to be topped up
      }
    }
  }'

  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "message": "Transaction Has Been Successfully Received. Notification Will Be Sent Shortly",
    "data": {
      "requestId": "e482caf1-18c4-4312-a708-8032969541d4",
      "batchId": "123123123123",
      "transactionId": "0f9182ad-bf5e-4854-799e-08dc2bc9741e",
      "status": "PROCESSING",
      "message": "Processing Debit Transaction. Instant Payment Notification will be sent shortly",
      "createdOn": "2/12/2024 12:52:21 PM"
    },
    "code": 0,
    "status": "success"
  }
  ```
</ResponseExample>
